Bug 5061 - rc.sysinit calls "raidadd" rather that "raidstart"
rc.sysinit calls "raidadd" rather that "raidstart"
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-10 21:36 EDT by mrovner
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-11 02:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mrovner 1999-09-10 21:36:59 EDT
Since raidtools no longer supplies "raidadd" and "raidrun",
the scripting to start the raid devices fails becuase it
tries to run them instead of "raidstart".

The script looks like this:

-------------------------------------------
.
.
.
# Add raid devices
if [ -f /proc/mdstat -a -f /etc/raidtab -a -x /sbin/raidadd
]; then
        action "Starting up RAID devices" raidadd -a

        rc=$?

        if [ $rc = 0 ]; then
                raidrun -a
                rc=$?
        fi
.
.
.
------------------------------------------

Should just test for "/sbin/raidstart", change the action
to run raidstart, and drop that if..fi block that tries
to run raidrun.
Comment 1 Bill Nottingham 1999-09-11 02:12:59 EDT
already fixed in the latest initscripts in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.